CREATE TABLE ce_instrument_attributes (
    INSTRUMENT_ATTRIBUTE_ID    NUMBER(18, 0) ,
    ENTITY_TYPE_CODE           VARCHAR2(120)     NOT NULL,
    PAYMENT_NETWORK_CODE       VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_NAME             VARCHAR2(400)     NOT NULL,
    ATTRIBUTE_DATATYPE         VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_LENGTH           NUMBER(5, 0)  ,
    ATTRIBUTE_PRECISION        NUMBER(5, 0)  ,
    ATTRIBUTE_DESCRIPTION      VARCHAR2(960) ,
    MANDATORY_FLAG             VARCHAR2(4)   ,
    SEEDED_FLAG                VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE           VARCHAR2(2048)    NOT NULL,
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    INSTRUMENT_ATTRIBUTE_ID    NUMBER(18, 0) ,
    ENTITY_TYPE_CODE           VARCHAR2(120)     NOT NULL,
    PAYMENT_NETWORK_CODE       VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_NAME             VARCHAR2(400)     NOT NULL,
    ATTRIBUTE_DATATYPE         VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_LENGTH           NUMBER(5, 0)  ,
    ATTRIBUTE_PRECISION        NUMBER(5, 0)  ,
    ATTRIBUTE_DESCRIPTION      VARCHAR2(960) ,
    MANDATORY_FLAG             VARCHAR2(4)   ,
    SEEDED_FLAG                VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE           VARCHAR2(2048)    NOT NULL,
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_ce_instrument_attributes PRIMARY KEY (INSTRUMENT_ATTRIBUTE_ID, INSTRUMENT_ATTRIBUTE_ID)
);
